Skip to navigation

List Company Users

Returns a list of users associated with a Company account.

Equivalent Storefront GraphQL API Query: users. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Path parameters

companyIdstringRequired
The unique numeric ID of the Company account.

Query parameters

role[]enumOptional

The ID of the role assigned to the Company user account as defined at Specifying User Role.

Allowed values:
limitstringOptionalDefaults to 10
The total number of items per page of the response.
offsetstringOptional
The number of items to skip before the current page of the response.
qstringOptional
The search string for the request.
minLastModifiedTimestringOptional

The earliest Unix timestamp for when the Company account was modified that can be returned.

maxLastModifiedTimestringOptional

The latest Unix timestamp for when the Company account was modified that can be returned.

minLastCreatedTimestringOptional

The earliest Unix timestamp for when the Company account was created that can be returned.

maxLastCreatedTimestringOptional

The earliest Unix timestamp for when the Company account was created that can be returned.

Response

OK
messagestringOptional
codedoubleOptionalDefaults to 200
dataobjectOptional